\section{Selections for \boldmath \BsToKMuNu and \boldmath \BsToDsMuNu}\label{sec:Selections}
\label{sec:Sel_K_Ds}

\subsection{Data Pipeline}
\label{ssec:DataPipeline}


In order for a physics analysis to return meaningful results, the data collected must go through multiple stages of processing.
The first stage of processing is the hardware trigger which identifies the events containing potentially interesting physics. All events passing at least one hardware trigger are temporarily stored before processing by the software trigger. The software trigger combines information from multiple subsystems of the detector and reconstructs candidate tracks and \B hadrons. Events passing at least one software trigger are stored and all others are permanently deleted.
The dataset passing the trigger selection for 2012 contains $28\times 10^9$ events, and due to size of this dataset it is inaccessible to analysts and is processed centrally every two years.
The central processing of the triggered data is referred to as the stripping. During the stripping, candidate signal decays are built by combining different tracks from the event. For \BsToKMuNu the reconstruction will search through all combinations of opposite sign kaon and muon pairs and reconstruct a candidate \Bs. The selections applied during the stripping are designed to be \textit{loose} allowing a highly efficient selection of signal events with sufficient background to ensure meaningful background studies may be performed. 

The DaVinci software package~\cite{corti:913834} performs the next stage of offline processing, iterating through the events passing the desired stripping selections and saving the selected events to a local file. The DaVinci package takes as an input the raw reconstructed tracks and candidates of the event and outputs an organised, formatted NTuple containing event by event data of the candidate tracks and underlying event. The next stage of processing applies the first round of selections, applies multivariate classifications and calculates weights for the kinematic correction of Monte Carlo. During the final stage of processing input histograms for use during fitting and validations are drawn, final tight selections are applied and additional Monte Carlo corrections are calculated and applied.




\subsection{Preselection}
\label{ssec:CutPresel}

The selections applied to signal candidates are optimised to maximise signal efficiency and background rejection by exploiting topological differences between signal and background events. Signal events containing long lived particles have final state particles originating a significant distance from the interaction point with a high transverse momentum. Background events and candidates typically contain prompt tracks originating from the interaction point.

For a full understanding of the selections applied several variables must be defined:

\begin{tabular}{lp{12cm}}
	DOCA       & Distance of closest approach of two lines or particle tracks. \\[0.2cm]
	IP         & Impact parameter. The distance between a track and vertex at closest point.\\[0.2cm]
	IP$\chi^2$ & Impact parameter chi-squared. The difference in \chisq of the primary vertex reconstructed with and without the candidate track.\\[0.2cm]
	DIRA       & The cosine of the angle formed between the direction of the measured momentum of a decaying particle and the line formed from the production and decay vertices.\\[0.2cm]
	FD         & The flight distance, or distance between production and decay vertex.\\[0.2cm]
	FD\chisq   & The flight distance chi-squared. The difference in \chisq of the SV fit reconstructed with or without the requirement of zero flight distance.\\[0.2cm]

\end{tabular}


The \hlttwo trigger \verb!TopoMu2BodyBBDT! is used to select candidates for both signal and normalisation decays and requires as an input a muon having passed the \lone and \hltone single muon triggers with a minimum transverse momentum of 1.76\gev~\cite{Albrecht:2013fba}. The \verb!TopoMu2BodyBBDT! trigger is designed to select partially reconstructed decays of \B hadrons containing a muon candidate~\cite{Puig:1970930,Williams:1323557}. The trigger algorithm requires a displaced secondary vertex and a candidate is built from the muon and the additional particle. 
A bonsai boosted decision tree (BBDT) is employed to efficiently select signal events using discretised kinematics of the candidate~\cite{Aaij:2012me}. BDTs are detailed in Section~\ref{ssec:BDT}. 
A BDT is used in the trigger to identify signal candidates as it has a higher signal efficiency and improved background rejection compared to a simple cut based trigger. To prevent the BDT from making a series of overly complicated selections the input variables to the trigger are discretised and the BDT may only introduce selections at the specific intervals listed in Table~\ref{Tab:BBDT_Vars}. The discretisation earns the BBDT it's bonsai name. During optimisation of the BBDT the number of intervals was gradually reduced until a decrease in performance was observed.


\begin{table}
	\begin{tabular}{l|c|c}
		Variable                    &  Selection     & BBDT Intervals \\\hhline{=|=|=}
		$\sum|\pt| [\gevc]$         &  $ > 3$        & 3.5, 4, 4.5, 5, 6, 7, 8, 9, 10, 15, 20 \\
		$\pt^\mathrm{min} [\gevc]$  &  $ > 0.5$      & 0.6, 0.7, 0.8, 0.9, 1, 1.25, 1.5, 1.75, 2, 2.5, 3, 4, 5, 10\\
		$m [\gevcc]$                &  $ < 7  $      & 2.5, 4.75 \\	
		$m_{\mathrm{corr}}[\gevcc]$ &                & 2, 3, 4, 5, 6, 7, 8, 9, 10, 15 \\
		DOCA [mm]                   &  $<0.2$        & 0.05, 0.1, 0.15\\
		IP$\chi^2$                  &                & 20 \\
		FD$\chi^2/100$              &  $> 1 $        & 2, 3, 4, 5, 6, 7, 8, 9, 10, 25, 50, 100

	\end{tabular}
	\caption[Variables and boundaries used in the multivariate trigger.]{The variables and intervals used in the BBDT for trigger \texttt{TopoMu2BodyBBDT} selecting 2 body decays. Table taken from~\cite{Aaij:2012me}. }
	\label{Tab:BBDT_Vars}
\end{table}



Two stripping lines were developed and used for this analysis designed to efficiently select \BsToKMuNu and \BsToDsMuNu candidates, the stripping selections are detailed in Tables~\ref{Tab:Cuts_Strip_KMuNu} and~\ref{Tab:Cuts_Strip_DsMuNu}. In addition to the two lines a suite of lines were based on the lines to select events in background enriched regions by removing the likelihood hypothesis selections on certain particles, or inverting the charge on the muon. The stripping lines are summarised in Table~\ref{Tab:StrippingLineSummary}. Selections are made on the track properties by requiring a high track quality, low ghost probability and high particle identification (PID) likelihood ($\mathcal{L}$). Topological cuts require that the final state tracks are well isolated from the primary vertex, the fit quality on the reconstructed vertex is high, the secondary vertex is well separated from the primary vertex and the cosine of the angle between the  reconstructed flight direction of the \Bs and its measured momentum, DIRA, is close to 1. It is often required to reduce the rate of a stripping line if the output rate is exceptionally high, the selection algorithm is computationally intensive or the perceived value of the selected data is low. The rate of a line is reduced by applying a prescale which runs the stripping algorithms on a random subset of the data. 


\begin{table}
	\begin{tabular}{l|l|l}
	Line                       & Purpose                                    & Prescale \\ \hhline{=|=|=}
	\verb!B2DMuNuX_Ds!         & Signal \BsToDsMuNu candidates              & 1.0      \\
	\verb!B2DMuNuX_Ds_FakeMu!  & \BsToDsMuNu with misidentified muon        & 0.02     \\
	\verb!B2XuMuNuBs2K!        & Signal \BsToKMuNu candidates               & 1.0      \\
	\verb!B2XuMuNuBs2KSS!      & \Kpm\mupm candidates to model backgrounds  & 0.1      \\
	\verb!B2XuMuNuBs2K_FakeMu! & \BsToKMuNu with misidentified muon         & 0.02     \\
	\verb!B2XuMuNuBs2K_FakeK!  & \BsToKMuNu with misidentified kaon         & 0.02     \\
	\verb!B2XuMuNuBs2K_FakeKMu!& \BsToKMuNu with misidentified $K/\mu$      & 0.02     \\
	\end{tabular}
	\caption[Stripping lines and prescales.]{A summary of the stripping lines used to select signal and background candidates. The $\Dsm\mu$ lines select same sign and opposite sign candidates.  The Fake lines are identical to the candidate lines except the likelihood selections are removed.}
	\label{Tab:StrippingLineSummary}
\end{table}



\begin{table}
	\centering
	\begin{tabular}{l|l}
		Candidate        & Selection                                         \\\hline
		\multicolumn{2}{l}{Stripping Preselection}\\\hline

		Event            & Long track multiplicity $<250$                    \\

		muon             & Track quality $\chi^2/N_{dof} < 4.0$              \\
		muon             & $p > 6000 \mev$                                   \\
		muon             & $\pt > 1500\mev$                                  \\
		muon             & Track ghost probability$ < 0.35$                        \\
		muon             & $\ln\mathcal{L}_\mu-\ln\mathcal{L}_\pi > 3.0$     \\
		muon             & $\ln\mathcal{L}_\mu-\ln\mathcal{L}_\proton > 0.0$ \\
		muon             & $\ln\mathcal{L}_\mu-\ln\mathcal{L}_K > 0.0$       \\
		muon             & Primary vertex $\mathrm{IP}_{\chi^2} > 16$        \\
 
 		kaon             & Track quality $\chi^2/N_{dof} < 6.0$              \\
		kaon             & $p > 10000 \mev$                                  \\
		kaon             & $\pt > 500\mev$                                   \\
		kaon             & Track ghost probability$ < 0.5$                         \\
		kaon             & $\ln\mathcal{L}_K-\ln\mathcal{L}_\pi > 5.0$       \\
		kaon             & $\ln\mathcal{L}_K-\ln\mathcal{L}_\proton > 5.0$   \\
		kaon             & $\ln\mathcal{L}_K-\ln\mathcal{L}_\mu > 5.0$       \\
		kaon             & Primary vertex $\mathrm{IP}_{\chi^2} > 16$        \\
  		
  		\Bs              & SV quality $\chi^2/N_{dof} < 4.0$                 \\
  		\Bs              & $\mathrm{DIRA} > 0.994$                           \\
  		\Bs              & SV separation from PV $\chi^2 > 120$      \\
  		\Bs              & $2500~\mev < m_{\mathrm{corr}} < 7000~\mev$      \\\hline

		\multicolumn{2}{l}{Vetoes}\\\hline

		Candidates per event            & 1\\
		\jpsi\to\mup\mun misid veto     & $ |m_{(K\to\mu)\mu} - m_\jpsi| < 30\mev~\mathrm{and}~K_{IsMuon}$\\
		\D\to\to\Km\mup X rejection     &$ m_{K\mu} > 1900\mev$\\
		\Kstarm(892)\to\Km\piz veto     &$ |m_{K\piz} - m_{\Kstar}| < 65\mev$\\%~and~$|m_{\g\g} - m_\piz|<23\mev$\\
		\Kstarm(1430)\to\Km\piz veto    &$ |m_{K\piz} - m_{\Kstar(1430)}| < 90\mev$\\%~and~$|m_{\g\g} - m_\piz|<23\mev$\\
		Combinatoric quadrant veto      &$ P_x(K)\times p_x(\mu) < 0~\mathrm{and}~P_y(K)\times p_y(\mu)<0$\\\hline

		\multicolumn{2}{l}{BDT Selections}\\\hline

		Isolation preselection          & \verb!min(IsoMinBDT_K, IsoMinBDT_Mu) > -0.9! \\
		Charged background BDT          & \verb!Charge_BDT > 0.1! \\
		Same sign BDT                   & \verb!SameSign_BDT > 0.05! \\\hline

		\multicolumn{2}{l}{Additional Selections}\\\hline
		Corrected mass error            & $\sigma_{m_{corr}} < 150\mevcc$\\
		\qsq boundary                  & $\qsq\gtrless7\gev^2/c^4$
	\end{tabular}
	\caption{All selections applied to the \BsToKMuNu candidates using the \texttt{B2XuMuNuBs2K} stripping line.}
	\label{Tab:Cuts_Strip_KMuNu}
\end{table}

\begin{table}
	\centering
	\begin{tabular}{l|l}
		Candidate   &  Selection                              \\\hline
		\multicolumn{2}{l}{Stripping Preselection}\\\hline
		Event       &  Long track multiplicity $<250$         \\

		muon        &  $\pt > 1000\mev$                       \\
		muon        &  $p > 6000\mev$                         \\
		muon        &  Track ghost probability$ < 0.35$       \\
		muon        &  Track quality $\chi^2/N_{dof} < 3.0$   \\
		muon        &  Primary vertex $\mathrm{IP}_{\chi^2} > 12$ \\
		muon        &  $\ln\mathcal{L}_\mu-\ln\mathcal{L}_\pi > 3.0$ \\

		kaon        &  $\pt > 250\mev$                       \\
		kaon        &  $p > 2000\mev$                         \\
		kaon        &  Track ghost probability$ < 0.35$                         \\
		kaon        &  Track quality $\chi^2/N_{dof} < 3.0$   \\
		kaon        &  Primary vertex $\mathrm{IP}_{\chi^2} > 4$ \\
		kaon        &  $\ln\mathcal{L}_K-\ln\mathcal{L}_\pi > -2.0$ \\

		pion        &  $\pt > 250\mev$                       \\
		pion        &  $p > 2000\mev$                         \\
		pion        &  Track ghost probability$ < 0.35$                         \\
		pion        &  Track quality $\chi^2/N_{dof} < 3.0$   \\
		pion        &  Primary vertex $\mathrm{IP}_{\chi^2} > 4$ \\
		pion        &  $\ln\mathcal{L}_K-\ln\mathcal{L}_\pi < 20.0$ \\

		\Ds         &  $|m_{\mathrm{Cand.}} - m_\Ds| < 80\mev$  \\
		\Ds         &  DOCA $\chi^2 < 20$                           \\
		\Ds         &  Vertex $\chi^2/N_{dof} < 6.0$                \\
		\Ds         &  $FD_{\chi^2} > 25$ \\
		\Ds         &  DIRA$ > 0.99$                               \\

		\Bs         &  $2200\mev < m_{\mathrm{Cand}} < 8000\mev$    \\
		\Bs         &  Vertex $\chi^2/N_{dof} < 9.0$                \\
		\Bs         &  DIRA$ > 0.999$                               \\
		\Bs         &  $\mathrm{Vertex}(\Ds)_Z - \mathrm{Vertex}(\Bs)_Z > -0.05$      \\\hline
		\multicolumn{2}{l}{Additional Selections}\\\hline
		\Km         &  $\ln\mathcal{L}_K-\ln\mathcal{L}_\pi > 5.0$ \\
		\Km         &  $\ln\mathcal{L}_K-\ln\mathcal{L}_\proton > 5.0$ \\
		\Km         &  $\ln\mathcal{L}_K-\ln\mathcal{L}_\mu > 5.0$ \\
		\Km         &  $p > 10000\mev$ \\

		\mup        &  $\ln\mathcal{L}_\mu-\ln\mathcal{L}_\pi > 3.0$ \\
		\mup        &  $\ln\mathcal{L}_\mu-\ln\mathcal{L}_\proton > 0$ \\
		\mup        &  $\ln\mathcal{L}_\mu-\ln\mathcal{L}_K > 5.0$ \\

		\multicolumn{2}{l}{Vetoes}\\\hline
		\Dstarm\to\Dz\pip Veto			&	$m_{KK\pi} - m_{KK} > 138\mev$\\
		\Bs\to\Dsm\pip Veto			&	$|m_{Ds(\mu\to\pi)} - m_\Bs| > 70\mev$\\ 
		\multicolumn{2}{l}{BDTs}\\\hline
		Isolation          & \verb!min(IsoMinBDT_K, IsoMinBDT_Mu) > -0.8! \\


	\end{tabular}
	\caption[All selections applied to \BsToDsMuNu candidates using the \texttt{B2DMuNuX\_Ds} line.]{All selections applied to \BsToDsMuNu candidates using the \texttt{B2DMuNuX\_Ds} line. Selections are aligned with those for \BsToKMuNu as closely as possible.}
	\label{Tab:Cuts_Strip_DsMuNu}


\end{table}




\subsection{Background Vetoes}\label{ssec:Sel_Veto}

A number of vetoes are applied to explicitly remove certain backgrounds in an efficient manner. These backgrounds may take the form of combinatorics, misidentified decays with no additional tracks or reconstructible decays from decays of higher excitations, e.g. {$\Bs\to\Kstarm\mup\neum$.}


Decays where the \Km and \mup originate from the same charm meson decay are rejected by requiring that y./the invariant mass of the \Km\mup pair is greater than the mass of \D mesons. 
The decay \jpsi\to\mup\mun may be selected and reconstructed as a signal \BsToKMuNu decay if one muon is misidentified as a kaon. Candidates containing a kaon which penetrates muon the system are rejected if the \Km\mup invariant mass reconstructed under the \mup\mun mass hypothesis is consistent with the \jpsi mass. Kaons produced from the decays of excited kaons, \Kstarm\to\Km\piz, are rejected by searching for neutral pions in a cone around the kaon track. The candidate is rejected if a pion is found and the invariant mass of the \Km\piz pair is consistent with the \Kstarm or $\Kstarm(1430)$. This selection only rejects $\approx 20\%$ of the background from higher excited resonances due to the low reconstruction efficiency of soft pions~\cite{Deschamps:2003lja}. 

Combinatorics arising from \bquark\bquarkbar production with the kaon and muon originating from the decay of the different \bquark quarks may be rejected by exploiting the topology of \bquark\bquarkbar production. The two \bquark quarks fragment into \B hadrons and in the rest frame recoil off one another resulting in two \B mesons with opposite momenta. If the \bquark\bquarkbar pair is boosted in the longitudinal direction, which is approximately the case at \lhcb, the recoil of fragmentation will result in the \B mesons having opposite momenta in the transverse plane.
The event is rejected if the kaon and muon candidates are in opposite quadrants of the $xy$ plane  as visualised in Figure~\ref{fig:Topo_Combi}. All vetoes are summarised in Table~\ref{Tab:Cuts_Strip_KMuNu}.


\begin{figure}[htbp]
	\centering
	\includegraphics[width=0.5\textwidth]{CombiRejection-crop.pdf}
	\caption[The topology of a combinatoric candidate looking down the $z$ axis.]{The topology of a combinatoric candidate looking down the $z$ axis, beam line axis, with kaon and muon originating from the decay of different \B mesons. The two \B mesons are produced \textit{back to back} in the transverse plane. The kaon and muon are visualised in opposite quadrants of the $xy$ plane. }
	\label{fig:Topo_Combi}
\end{figure}

\begin{comment}
\begin{table}[!htbp]
	\centering
	\begin{tabular}{l|rl}
	\end{tabular}
	\caption{Vetoes applied to the \BsToKMuNu candidate rejecting specific backgrounds}
	\label{Tab:KMuNuVeto}
\end{table}
\end{comment}



Vetoes are applied to the \BsToDsMuNu candidates rejecting events compatible with the decays $\B\to(\Dstar\to(\Dz\to\Kp\Km)\pi)\mu\nu X$ and $\Bs\to\Dsm\pip$. For the former decay the mass difference between the \Dz and \Dstar is only slightly higher than the mass of a pion. A selection is placed on the mass difference, $m_{KK\pi} - m_{KK} > 138\mev$, which efficiently rejects all \Bz\to\Dstar\mup\neum decays. The latter decay is rejected by  reconstructing the muon under the mass hypothesis of a pion and rejecting \Dsm\mup candidates with an invariant mass consistent with $|m_\Bs-m_{\Dsm\pip}| < 70\mev$.

\begin{comment}
\begin{table}[!htbp]
	\centering
	\begin{tabular}{rl}
	%$ \Dstar\to(\Dz\to\Kp\Km)\pi$\\
	$m_{KK\pi} - m_{KK} $&$< 138\mev$\\
	$|m_{Ds(\mu\to\pi} - m_\Bs| $&$< 70\mev$\\ 
	\end{tabular}
\end{table}
\end{comment}


\subsection{\sPlot Unfolding}\label{ssecLSplot}

The \sPlot technique is a statistical tool used to unfold data distributions consisting of several sources merged into a single sample~\cite{Pivk2004ty}. The most frequent use case containing two data sources classified as data and background, typically there is a region in the data containing pure background, e.g. the sidebands of a mass peak in an invariant mass distribution, and a region containing an inseparable mix of signal and background, e.g. the region containing the signal peak. The \sPlot procedure unfolds the contributions of different sources of a data sample in the context of a likelihood fit to a data distribution, e.g the invariant mass distribution, obtaining the yields of the signal and background components. The \sPlot procedure asignes each event a weight calculated from the likelihood obtained from the fit. When assigning \textit{signal} weights, events at the centre of the mass peak will have a large positive weight and events in the sidebands will have a large negative weight as plotted in Figure~\ref{fig:Fit_DsMuNu_sPlot}. In the case of an invariant mass peak the \sPlot method of subtracting backgrounds specialises to a sideband subtraction.
Two sets of weights are provided by the \sPlot method allowing the full dataset to be viewed as either signal or background. When weighting as signal, the sum of weights will equal the yield of the signal sample. This is also true when considering a subset of the events, such as those contained in the bin of a histogram. By drawing histograms and weighting events by the \sPlot signal weights the unfolded signal distribution is obtained. It is essential that the variables drawn using the \sPlot weights are uncorrelated with the variable used to obtain the \sPlot weights.
%It is essential when using the \sPlot method that the discriminating sample and control sample are uncorrelated.


%The \sPlot tool is capable of unfolding the contributions of different sources to a data sample populated by several sources of events, and is used in the context of a likelihood fit performed on the data sample obtaining the yields of the various sources which can be split into two components.  The distributions of all sources in the first component are known and is referred to as the discriminating variable. In a typical use case the discriminating variable would be the candidates in data which fall into the side-bands of an invariant mass distribution since the side-bands contain a pure sample of backgrounds with no pollution from the signal decay. The second component corresponds to the set of variables for which the distributions in data are not fully known and is referred to as the control variable. In a typical use case the control variable would be the candidates falling into the region of an invariant mass distribution containing the signal peak and contains an impossible to separate mix of combinatorics and signal decays. The \sPlot method relies on ones knowledge of the shapes of distributions of the discriminating variable and subtracts these shapes from the control variable allowing one to unfold the distributions within the control sample. 




\begin{figure}[htbp]
	\centering
	\includegraphics[width=0.48\textwidth]{sPlot/Fit_DsMuNu.pdf}
	\includegraphics[width=0.48\textwidth]{sPlot/sWeights_DsMuNu.pdf}
	\caption{Fit results of a maximum likelihood to the \Dsm\to\Km\Kp\pim invariant mass distribution and \sPlot weights.}
	\label{fig:Fit_DsMuNu_sPlot}
\end{figure}

The \sPlot method is used in this analysis to obtain the true signal distributions of ${\Bu\to\jpsi\Kp}$ and \Dsm\to\Km\Kp\pim candidates. The true distributions of signal decays are necessary in order to compare signal Monte Carlo decays with candidates in data.  In all cases an extended maximum likelihood fit is performed to the invariant mass spectrum of the final state particles. The signal decay is modelled using a double Gaussian shape and the combinatoric background is modelled using and exponential and all parameters are left free. The invariant mass distribution of \Dsm\to\Km\Kp\pim candidates with the fit results overlaid is plotted in Figure~\ref{fig:Fit_DsMuNu_sPlot} (left) and the sWeights calculated from the fit results are plotted on the right. The results of all fits from which the \sPlot method is used are given in Appendix~\ref{App:sWeight}.






\subsection{Boosted Decision Tree}\label{ssec:BDT}

A binary decision tree is a decision support tool designed to efficiently separate data into categories~\cite{breiman_2005,Quinlan1986,hastie_tibshirani_friedman_2017}. At each node in the tree a selection, $c_N$ is made on one of the $N$ variables, $\vec{x} = \{x_1, x_2, x_3,...,x_N\}$, separating the data into two subsets. The selections are chosen such that the Gini index, $p(1-p)$, is minimised, where p is the signal purity. For a binary decision tree categorising data into signal and background categories, the classifier output, $h(\vec{x})$, is calculated from the final subsets, or leaves. Leaves classified as signal have an output, $h(\vec{x})=1$, and leaves classified as background have an output, $h(\vec{x})=-1$. Decision trees may be fully trained, with leaves containing a fully pure sample of signal or background events, or they may be partially trained with the leaves containing a mix of signal and background events as visualised in Figure~\ref{fig:BDT_Schem}. The use of a fully trained tree may introduce over training effects while the use of partial trees may introduce biases. When training a decision tree it is essential that bias and variance are minimised. A biased decision tree is typically under trained and the response variable will have systematic shifts away from the optimal value whereas an over trained decision tree should be unbiased but the response variable will have a large resolution.

\begin{figure}[htbp]
	\centering
	\includegraphics[width=0.4\textwidth]{BDT_Tree-crop}
	\caption[Schematic of a small decision tree.]{A schematic of a small decision tree applying sequential selections to data maximising the signal to background separation. The final nodes are classified as signal and background.}
	\label{fig:BDT_Schem}
\end{figure}


A boosted decision tree (BDT) uses many partially trained trees; the partially trained trees are weak learners and the BDT gains its power from the combination of many weak learners. A \textit{typical} BDT would contain several hundred weak decision trained with a maximum depth of three to five. A node is no longer divided when it contains a critical number of events.
Each tree is is given a boost weight, $\alpha_i$ after training calculated from the fraction of misclassified events, $\rho_i$,
\begin{equation}
	\alpha_i = \frac{1-\rho_i}{\rho_i}.
\end{equation}
After a tree is trained the misclassified events are weighted by $\alpha_i$. The re-weighted and renormalised data is used to train the next tree. The final output of the BDT classifier is
\begin{equation}
	h_{\mathrm{BDT}}(\vec{x}) = \frac{1}{N_{\mathrm{Tree}}}\sum_i^{N_{\mathrm{Tree}}}\ln(\alpha_i) h_i(\vec{x}).
\end{equation}

As with all classifiers, BDTs can be susceptible to over training. Over training occurs when the decision making algorithm makes decisions due to statistical fluctuations rather than true differences in the data. An over trained classifier will quote a greater separating power than is truly achieved. Over training is remedied using $k$-fold cross validation~\cite{Kohavi95astudy} which is a technique used to quantify the amount of over training in the classifier and test the model's ability to predict new data. The training data is divided into $k$ sub samples and the classifier is trained $k$ times using $k-1$ sub samples. The classifier is tested with the sub sample independent of the training samples.


%Fundamental differences between the data used in training and classification may introduce biases into the BDT. 

Due to inaccuracies in simulation or a lack of knowledge on the underlying physics, there may be fundamental differences between the data used in training and classification may introduce biases into the BDT. 
This is of particular importance for particle physics analyses where the signal sample used in training is usually simulated Monte Carlo and the background is taken from data in a region with no signal. Fundamental differences between Monte Carlo and data arise due to the simulation algorithms mismodelling the data; the classifier may detect these differences and falsely classify events due to these differences. Correcting Monte Carlo by reweighting the mismodelled variables can go a long way towards solving biases due to mismodelling.

Boosted decision trees are frequently used in this analysis to separate signal candidates from background candidates and to provide a method of quantifying and correcting for differences between ideally identical datasets.



\subsection{Kinematic Corrections}
\label{subsec:KinematicCorrections}

The simulation of Monte Carlo data is not perfect and the distributions of several variables show disagreements between Monte Carlo and data. It is essential that differences between Monte Carlo and data are corrected to ensure that the distributions of variables used for fitting are correct, and that the determination of efficiencies are accurate. A simple approach to reweighting is to plot the histogram of a variable for Monte Carlo and data, and assign each Monte Carlo event a weight corresponding to the ratio of data and Monte Carlo yields at that point. The simple method fails for multidimensional reweighting as a multidimensional histogram with granular bins will face problems due to low bin statistics and a histogram with coarse bins will produce biases due to variations within the bins.  For this analysis a novel approach is taken; a boosted decision tree (BDT) is trained to detect differences between pure data and Monte Carlo. If the simulation is perfectly modelled, the BDT will return an output variable with no separating power\footnote{Over training effects and statistical fluctuations will return some \textit{false} separating power.}. If, however the simulation does not perfectly model the data the BDT will return an output variable with a significant separating power. The driving assumption behind this method for correcting the simulation is that the output variable of the BDT will completely encapsulate all Monte Carlo/data differences in a single discriminating variable. By performing the simple one dimensional correction on the BDT output it is possible to correct all the variables used in training the BDT simultaneously~\cite{Rogozhnikov:2016bdp}.


In order to perform an effective comparison between simulated Monte Carlo and data a pure, signal only data is sample is needed. The decay ${\Bu\to\jpsi\Kp}$ is partially reconstructed using the \Km\mup pair and is used to correct \BsToKMuNu, also reconstructed using the \Km\mup pair. An \sPlot background subtraction is performed on the {\Bu\to\jpsi\Kp} invariant mass peak by combining the \Km\mup pair with a muon found using the isolation BDT detailed in Section~\ref{ssec:ChargedTrackBDT} allowing the signal distributions to be obtained.
%, data and simulation are reconstructed as \BsToKMuNu and the candidate \Bs is combined with a muon found using the isolation BDT detailed in Section~\ref{ssec:ChargedTrackBDT} allowing the \Bu candidate to be constructed. An \sPlot background subtraction is performed on both the data and simulated samples using the reconstructed \Bu mass peak~\cite{Pivk2004ty}. 
When correcting the \BsToDsMuNu simulation, simulated cocktail $\BsToDsMuNu X$ data is compared to data containing a well reconstructed \Ds in association with a muon. Backgrounds are reduced by applying a selection on the output of the isolation BDT and an \sPlot background subtraction is performed on the \Ds mass peak. For both the signal and normalisation modes a BDT containing 200 trees with a maximum depth of 3 and a minimum leaf size of 6\% for \BsToDsMuNu and 4\% for \BsToKMuNu is trained to separate simulated Monte Carlo and data. For the training and evaluation a $k=2$~$k-$folding is used. The BDT is trained to separate, and hence correct the variables listed in Table~\ref{tab:BDTRWVars}. Figure~\ref{fig:BDTRW_BDT} plots the BDT response obtained (left) when training to separate Monte Carlo from data and the correction weights (right) which are applied to Monte Carlo. Kinematic distributions of {\Bu\to\jpsi\Kp} Monte Carlo before and after correction are plotted alongside background subtracted data in Figure~\ref{fig:BDTRW_COR} demonstrating the effectiveness of this method. Additional validation plots are provided in Appendix~\ref{App:BDTRW}.

\begin{table}
\centering
	\begin{tabular}{l|l}
		\BsToKMuNu          & \BsToDsMuNu  \\\hline
		Track Multiplicity  &   Track Multiplicity \\
		$\eta$ \Bs          &   $\eta$ \Bs   \\
		\pt~\Bs             &   \pt~\Bs      \\
		\pt~\Km             &   \pt~\Dsm     \\
		\pt~\mup            &   \pt~\mup     \\
	\end{tabular}
	\caption{Monte Carlo distributions corrected in Monte Carlo using a BDT reweighting.}
	\label{tab:BDTRWVars}
\end{table}

\begin{figure}[htbp]
	\centering
	\includegraphics[width=0.48\textwidth, page=1]{BDT_RW_Plots.pdf}
	\includegraphics[width=0.48\textwidth, page=2]{BDT_RW_Plots.pdf}
	\caption[BDT response and weights used to correct \BsToKMuNu Monte Carlo.]{The BDT response used to separate Monte Carlo and data (left) and the weights used to correct the simulation (right). The \jpsi\Kp is reconstructed using only the \Kp\mun pair.}
	\label{fig:BDTRW_BDT}
\end{figure}

\begin{figure}[htbp]
	\centering
	\includegraphics[width=0.48\textwidth, page=3]{RW_K.pdf}
	\includegraphics[width=0.48\textwidth, page=5]{RW_K.pdf}
	\caption[BDT response and weights used to correct \BsToDsMuNu Monte Carlo.]{Kinematic distributions of ${\Bu\to\jpsi\Kp}$ reconstructed using the \Kp\mun pair are plotted for data and simulation before and after correction.}
	\label{fig:BDTRW_COR}
\end{figure}



\subsection{Charged Track Isolation BDT}\label{ssec:ChargedTrackBDT}

\begin{figure}[htbp]
	\centering
	\includegraphics[width=0.4\textwidth]{Iso_KMuNu-crop.pdf}\hspace*{5mm}
	\includegraphics[width=0.4\textwidth]{Iso_JPsiK-crop.pdf}
	\caption[Topology of a \BsToKMuNu and ${\Bu\to\jpsi\Kp}$ decay.]{The topology of \BsToKMuNu (left) and ${\Bu\to\jpsi\Kp}$ (right). The isolation BDT is trained to reject events containing tracks compatible with the \BsToKMuNu candidate decay.}
	\label{fig:Iso_Topo}
\end{figure}


Charged track isolation variables have been used by analyses at \lhcb since the very beginning to identify backgrounds containing additional charged tracks~\cite{Adeva:2009ny,Gavardi:1645251}. The purpose of isolation algorithms is to identify events containing partially reconstructed decays. Consider the topology of the two decays in Figure~\ref{fig:Iso_Topo}, on the left is a signal \BsToKMuNu decay produced via \bquark\bquarkbar production with the second quark decaying to produce an additional muon and the figure on the right containing a background ${\Bu\to\jpsi\Kp}$ decay. On the left plot the negative muon is well isolated from the candidate \Bs while on the right the negative muon is coupled with the candidate \Bs. %Compare this to the figure on the right containing a background ${\Bu\to\jpsi\Kp}$ decay, both events contain a pair of muons and a kaon. 
The isolation tools are used to reject events similar to those on the right of the figure.


The first iteration of isolation algorithms use cone isolation, a cone in $\Delta R$, 
\begin{equation}
	\Delta R = \sqrt{\Delta \phi^2 + \Delta\eta^2},
\end{equation}
where $\phi$ is the azimuthal angle and $\eta$ is the pseudorapidity is drawn around the candidate track. $\Delta\eta$ and $\Delta R$ are both Lorentz invariant quantities. The isolation algorithm investigates the tracks and energy deposits in the calorimeters within this cone and returns a series of variables detailing the activity around the track. For a well isolated track one would expect very little detector activity within the cone around the candidate track. When investigating the contents of the cone one may choose to consider activity from neutral and/or charged particles depending on the expected backgrounds. Several variables may be defined by considering the kinematics of the cone and the candidate track. The momentum of a cone, $\pt(Cone)$ is defined as the vector sum of the transverse momentum, \pt, of tracks within the cone,
\begin{equation}
	\pt(Cone) = \sum_{i}\vec{\pt}
\end{equation}
The momentum asymmetry between the cone and the candidate track, CT, is defined
\begin{equation}
	A_{\pt} = \frac{|\vec{\pt}(CT)-\vec{\pt}(Cone)|}{|\vec{\pt}(CT)+\vec{\pt}(Cone)|},
\end{equation}
and the transverse isolation of the cone is defined as
\begin{equation}
	TI = \frac{\pt(CT)}{\pt(CT+Cone)}.
\end{equation}
In addition one may attempt to reconstruct partially reconstructed decays by combining the candidate track with the highest \pt charged track within the cone. Decays containing additional neutral particles may be reconstructed by searching for a cluster of hits in the electromagnetic calorimeter corresponding to a neutral particle and combining the candidate track with the reconstructed photon. Two photon clusters may be combined allowing the \piz to be reconstructed and combined with the candidate track, which is especially useful when searching for the partially reconstructed decay $\Bs\to(\Kstarm\to\Km\piz)\mup\neum$.


A more sophisticated approach to identifying partially reconstructed backgrounds is to search through all reconstructed tracks in the event to determine if it is compatible with the \Bs candidate vertex by  investigating the topologies of the candidate tracks and the remaining tracks within the event. A true signal candidate should have no additional tracks compatible with the \Bs decay vertex. Before continuing the terminology must be defined:\\
\begin{tabular}[valign=t]{p{0.25\textwidth}p{0.75\textwidth}}
	Candidate track:    & A reconstructed track originating from the decay of a \Bs. \\[3mm]
	Underlying track:   & All tracks in the event which are not candidate tracks     \\[3mm]
	Isolated track:     & A track which is truly independent of the \Bs decay, e.g. a prompt track originating from the primary vertex. \\[3mm]
	Non isolated track: & A track which truly originates from the candidate decay but is not reconstructed as such, e.g. the additional muon in {$\Bu\to\jpsi\Kp$}. \\[3mm]
	Least isolated track: & The underlying track with the highest probability of originating from the candidate decay. \\[3mm]
\end{tabular}	

A boosted decision tree developed for a different analysis~\cite{Aaij:2016fdk} takes as an input the kinematics and topologies of a candidate and underlying track and returns an output correlated to the likelihood that the two tracks originate from the same vertex. The BDT is trained using tracks from Monte Carlo decays of $\Bu\to\Dstarm \pip \mup\neum$ reconstructed as $\Bz\to\Dstarm\mup\neum$ resulting in the underlying event containing an additional pion coupled to the reconstructed candidate. During training of the BDT the background sample is composed of the combinations of the \Bz candidate tracks and the additional pion, and the signal sample is composed of the combinations of candidate tracks with another non isolated track. As there are approximately 100 additional tracks in each event the signal sample which combines the candidate decay with another track is approximately 100 times larger than the background sample.
 %The signal sample is composed of the combinations of candidate tracks with the non isolated underlying tracks and the background sample is composed of the combinations of the \Bz candidate tracks and the additional pion from the \Bu decay. The signal sample is approximately $100$ times larger than the background sample. 
 The BDT is trained to separate signal and background samples using the following variables:
\begin{itemize}
	\item $\chi^2$of the minimum impact parameter of the track with respect to any PV
	\item Distance between Vertex(candidate track, track) and the SV
	\item Distance between Vertex(candidate track, track) and the PV
	\item Distance of closest approach between the track and PV
	\item Difference in $\phi$ between track and reconstructed \Dz
	\item The angle between the sum of momenta $p_{\mathrm{Candidate~track}} + p_{\mathrm{track}}$ and the line from PV to SV
\end{itemize}


\begin{figure}[htbp]
	\centering
	\includegraphics[page=3,width=0.48\textwidth]{BDTResponse.pdf}
	\begin{overpic}[page=3,width=0.48\textwidth]{ROCCurves.pdf}
	\put(14,86){\rule{158pt}{0.5pt}}
	\end{overpic}
	\caption[Response of the isolation BDTs.]{The per event minimum output of the isolation BDT (left) and the corresponding receiver operating characteristic, ROC, curves. A selection of $\mathrm{IsoMinBDT>-0.9}$ is applied. The solid horizontal line on the ROC curve indicates the signal efficiency.}
	\label{fig:FindVub_IsoBDT}
\end{figure}


When processing an event, every combination of candidate and underlying track is processed with the BDT producing $\approx300$ variables per event. Two combined variables are created for each candidate track. \texttt{IsoMinBDT}, plotted in Figure~\ref{fig:FindVub_IsoBDT} (left), is the BDT output for the underlying track most likely to originate from the same vertex as the candidate, and \texttt{IsoSumBDT} is the average of the BDT outputs for all underlying tracks when compared to the candidate track. In addition, the kinematics of the least isolated track are saved. The invariant mass spectrum of the combination of the candidate and least isolated underling track in data is plotted in Figure~\ref{fig:FindVub_Iso} for \Km\mup (left) and \Kp\mup data (right).  Mass peaks corresponding to the \phiz, \Dz, \jpsi, \psitwos and $f_0(500)$ are clearly visible and represent partially reconstructed backgrounds. These peaks may be explicitly rejected by making a selection on the invariant mass or a selection on the BDT may be used to reject almost all partially reconstructed decays. The isolation BDT also provides exceptional rejection power for combinatoric decays.

A loose selection, \verb!min(kaon_m_IsoMinBDT,muon_p_IsoMinBDT) > -0.9!, is applied to the isolation BDT.

\begin{figure}[htbp]
	\centering
	\includegraphics[page=1,width=0.48\textwidth]{IsolationPlots.pdf}
	\includegraphics[page=2,width=0.48\textwidth]{IsolationPlots.pdf}
	\caption[Invariant mass of a candidate track combined with the least isolated track.]{The invariant mass distribution of a candidate track combined with the least isolated track under various mass hypotheses. Data is reconstructed as opposite sign (OS) $\Km\mup$ (left) and same sign (SS) $\Km\mun$ (right). }
	\label{fig:FindVub_Iso}
\end{figure}


For this analysis variables from both the cone isolation and BDT isolation tools are used in rejecting and reconstructing partially reconstructed backgrounds. The cone isolation is used for both charged and neutral backgrounds and the BDT isolation is used for charged backgrounds.

\subsection{Selection BDT}\label{ssec:BDT_Sel}
Two BDTs are trained to separate signal from background for this analysis. The first BDT is trained to separate signal events from partially reconstructed backgrounds modelled using Monte Carlo and the second is trained to remove backgrounds found in the same sign data sample.
 Both BDTs use Monte Carlo \BsToKMuNu decays as the signal sample during training. The background sample used when training the first BDT is a cocktail mix of background Monte Carlo decays reconstructed as \BsToKMuNu and the second BDT uses same sign (SS) data reconstructed as \BsToKMuNuSS. The strategy is to apply a loose selection to the output of the isolation BDT,  \verb!min(kaon_m_IsoMinBDT,muon_p_IsoMinBDT) > -0.9!, train the first BDT to reduce backgrounds from partially reconstructed decays containing additional charged tracks, apply a selection on the output of this BDT and train the second BDT to provide additional discriminating power and reduce additional backgrounds seen in data such as combinatorics and \textit{trickle down} decays of higher excited particle states. The BDTS are applied sequentially, i.e.the first BDT is trained and a selection applied to all data samples, then the second BDT is trained and a selection applied to all samples. For the isolation BDT the choice of location for the selection is fairly arbitrary as the BDT response variable is used as an input for a later BDT, and the applied selection only removes a small region with very high background purity. The signal efficiency for the isolation BDT is 95\%.

\begin{table}
\centering
	\begin{tabular}{l|r}
		Variable                                          & Separation \\\hhline{=|=}
		Minimum isolation BDT response                    & $1.90\times10^{-1}$ \\
		Invariant Mass, \Km+$\mathrm{T_{Least~Iso.}}$     & $1.00\times10^{-1}$ \\
		Isolation BDT summed over all underlying tracks   & $9.39\times10^{-2}$ \\
		\Bs Transverse Isolation                          & $3.54\times10^{-2}$ \\
		Transverse isolation between \Km and cone         & $3.00\times10^{-2}$ \\
		Kaon transverse momentum                          & $2.84\times10^{-2}$ \\
		Transverse isolation between \Km and charged cone & $2.58\times10^{-2}$ \\
		$\pt(\Bs)-1.5\times\pt(\mup)$                     & $2.17\times10^{-2}$ \\
		$\pt(\Bs)$                                        & $1.94\times10^{-2}$ \\
		$\Delta\eta$ between \Km and cone                 & $1.89\times10^{-2}$ \\
		Momentum asymmetry between \mup and cone          & $1.85\times10^{-2}$ \\
		\Km Isolation BDT response - \mup Isolation BDT response & $1.63\times10^{-2}$ \\
		\Bs Decay vertex fit \chisq                   & $1.11\times10^{-2}$ \\
		Invariant Mass, \mup+$\mathrm{T_{Least~Iso.}}$   & $7.67\times10^{-3}$ \\
		\Bs helicity angle                            & $2.03\times10^{-3}$ \\
	\end{tabular}
	\caption[Input variables used during training of the first selection BDT.]{The input variables used as inputs for the BDT trained to reject charged backgrounds are listed with their separating power. Several variables use information obtained from a cone draw around candidate tracks with $\Delta R = 0.5$. The least isolated track is referred to as $\mathrm{T_{Least~Iso.}}$. }
	\label{Tab:BDT1_Vars}
	\begin{comment}
	\verb!min(kaon_m_IsoMinBDT,muon_p_IsoMinBDT)! & $1.90\times10^{-1}$ \\
	\verb!kaon_m_PAIR_M                         ! & $1.00\times10^{-1}$ \\
	\verb!max(kaon_m_IsoSumBDT,muon_p_IsoSumBDT)! & $9.39\times10^{-2}$ \\
	\verb!min(muon_p_ConeIso,kaon_m_ConeIso)    ! & $3.54\times10^{-2}$ \\
	\verb!kaon_m_0.50_IT                        ! & $3.00\times10^{-2}$ \\
	\verb!kaon_m_PT                             ! & $2.84\times10^{-2}$ \\
	\verb!kaon_m_0.50_cc_IT                     ! & $2.58\times10^{-2}$ \\
	\verb!Bs_PT-muon_p_PT*1.5                   ! & $2.17\times10^{-2}$ \\
	\verb!Bs_PT                                 ! & $1.94\times10^{-2}$ \\
	\verb!kaon_m_0.50_cc_deltaEta               ! & $1.89\times10^{-2}$ \\
	\verb!muon_p_0.50_cc_asy_P                  ! & $1.85\times10^{-2}$ \\
	\verb!kaon_m_IsoMinBDT-muon_p_IsoMinBDT     ! & $1.63\times10^{-2}$ \\
	\verb!Bs_ENDVERTEX_CHI2                     ! & $1.11\times10^{-2}$ \\
	\verb!muon_p_PAIR_M                         ! & $7.67\times10^{-3}$ \\
	\verb!Bs_cosTheta1_star                     ! & $2.03\times10^{-3}$ \\
	\end{comment}
	\begin{tabular}{l|r}
		Variable                     & Separation \\\hhline{=|=}
		$\pt(\Km)$                  & $2.76\times10^{-02}$ \\
		$\mathrm{DIRA}_\Bs$          & $1.98\times10^{-02}$ \\
		Momentum asymmetry between \Km and neutral cone & $1.36\times10^{-02}$ \\
		Transverse isolation between \Km and neutral cone & $1.30\times10^{-02}$ \\
		Invariant mass \Km and additional \piz & $1.02\times10^{-02}$ \\
		$\pt(\Bs)-1.5\times\pt(\mup)$& $9.31\times10^{-03}$ \\
		\Bs Flight distance significance & $7.56\times10^{-03}$ \\
		\Bs transverse momentum      & $6.20\times10^{-03}$ \\
		\Bs helicity angle           & $5.96\times10^{-03}$ \\
		\Bs Decay vertex fit \chisq  & $3.68\times10^{-04}$ \\
	\end{tabular}
	\caption[Input variables used during training of the second selection BDT.]{The input variables used as inputs for the BDT trained to reject backgrounds found within the same sign sample. Several variables use information obtained from a cone draw around candidate tracks with $\Delta R = 0.5$. }
	\label{Tab:BDT2_Vars}
	\begin{comment}
	\verb!kaon_m_PT            ! & $2.76\times10^{-02}$ \\
	\verb!Bs_DIRA_OWNPV        ! & $1.98\times10^{-02}$ \\
	\verb!kaon_m_1.00_nc_asy_PT! & $1.36\times10^{-02}$ \\
	\verb!kaon_m_0.50_nc_IT    ! & $1.30\times10^{-02}$ \\
	\verb!kaon_m_MasshPi0      ! & $1.02\times10^{-02}$ \\
	\verb!Bs_PT-muon_p_PT*1.5  ! & $9.31\times10^{-03}$ \\
	\verb!Bs_FD_S              ! & $7.56\times10^{-03}$ \\
	\verb!Bs_PT                ! & $6.20\times10^{-03}$ \\
	\verb!Bs_cosTheta1_star    ! & $5.96\times10^{-03}$ \\
	\verb!Bs_ENDVERTEX_CHI2    ! & $3.68\times10^{-04}$ \\
	\end{comment}
\end{table}

The first BDT, refereed to as the \textit{charged BDT} is trained to separate signal Monte Carlo from a cocktail of Monte Carlo backgrounds, the events used in the training are detailed in Table~\ref{tab:BDT_TrainingSamples} alongside their separating power $\left<S^2\right>$. Separating power between signal, $\hat{y}_S$, and background, $\hat{y}_B$, distributions is defined as,
\begin{equation}
	\left<S^2\right> = \frac{1}{2}\int\frac{(\hat{y}_S(y)-\hat{y}_B(y))^2}{\hat{y}_S(y)+\hat{y}_B(y)}dy.
\end{equation}
The separation is zero for identical distributions and is one if the distributions do not overlap~\cite{Hocker:2007ht}.
The charged BDT uses the variables listed in Table~\ref{Tab:BDT1_Vars} to separate signal from background. All Monte Carlo samples used in the training have their kinematics corrected using the reweighting procedure detailed in Section~\ref{subsec:KinematicCorrections}. During the training 850 trees with a maximum depth of 3 levels and a minimum node size of 2.5\% are trained using the AdaBoost boosting method~\cite{Freund:1997xna} and the variables listed in Table~\ref{Tab:BDT1_Vars}. The effects of over training are removed through the use of 2 factor $k$-folding with the data divided by magnet polarity for training and testing.



The second BDT is referred to as the same sign (SS) BDT since it is trained with \Kp\mup data candidates as the background sample. The variables used in training the SS BDT are listed in Table~\ref{Tab:BDT2_Vars}. The SS BDT follows the same training procedure as the charged BDT, and a selection is placed on the output of the charged BDT before training minimising correlations between the two BDTs.

Optimising the point at which a selection is made on the two BDTs is non trivial. The BDTs are incredibly effective at removing backgrounds and producing a data sample with an impressive signal peak, however due to the limited size of the available Monte Carlo samples modelling the backgrounds, such a selection would result in Monte Carlo samples containing almost no events making a fit to the data impossible. Thus a compromise must be reached whereby backgrounds are reduced to such an extent that the signal peak is well identifiable but the background Monte Carlo samples have a large enough yield such that a Fit to the data will return meaningful results. Consequently no quantitative optimisation is performed on the BDT as there is no trivial choice of parameter t optimize. The BDT selections used in this analysis were found using a more qualitative method. The two BDTs were iteratively tightened, by incrementally tightening the BDT that would give the greatest increase of the signal to noise ratio, $S_{NR}$,
\begin{equation}
	S_{NR}=\frac{S}{\sqrt{S+B}},
\end{equation}
where $S$ is the signal yield, and $B$ is the yield of same-sign data, a sample consisting purely of background events. At several points during the tightening process, histograms of the \Bs corrected mass were drawn for the Monte Carlo and data samples. A final selection was chosen by analysing the histograms \textit{by eye} to find a compromise between clarity of signal peak and background Monte Carlo statistics.



\begin{table}
\centering
	\begin{tabular}{l|l}
	Sample                                & Entries/1000  \\\hline
	\BsToKMuNu                            & 165           \\\hline
	\multicolumn{2}{l}{Background Samples}                \\\hline
	$\bquark\to(\cquark\to K\mu X)X$      & 47            \\
	$\bquark\to\Kpm\mupm X$               & 190           \\
	$\bquark\to K\mu X$                   & 550           \\
	$\Bz\to\jpsi\Kstarz$                  & 226           \\
	$\Bz\to(\Dstar\to K\pi\pi\pi X)\mu\nu$& 50            \\
	$\Bz\to(\Dstar\to K\pi X)\mu\nu      $& 1210          \\
	$\Bz\to(\Dstar\to K\pi  )\mu\nu      $& 34            \\
	$\Bz\to(\D\to K\pi\pi   )\mu\nu      $& 75            \\
	$\Bu\to\jpsi\Kp$                      & 445           \\
	$\Bu\to\jpsi\Kstarp$                  & 135           \\
	$\Bu\to\Dz\mup\neum X$                & 230           \\
	$\Bs\to\jpsi\phiz$                    & 2500          \\
	$\BsToDsMuNu X$                       & 96            \\
	\end{tabular}
	\caption{The simulated decays and number of events used during the training of the BDTs.}
	\label{tab:BDT_TrainingSamples}
\end{table}





\begin{figure}[htbp]
	\centering
	\includegraphics[page=1,width=0.49\textwidth]{BDTResponse.pdf}
	\begin{overpic} [page=1,width=0.49\textwidth]{ROCCurves.pdf}
	\put(14,51){\rule{164pt}{0.5pt}}
	\end{overpic}

	\caption[Response and ROC curve of the first selection BDT.]{The response for the charged BDT (left) is plotted with the corresponding ROC curves (right). The data used for training is superimposed with the data used for testing.  Events to the left of the dashed vertical line are rejected and the solid horizontal line on the ROC curve indicates the signal efficiency.}
	\label{fig:FindVub_ChargedBDT}
	\centering
	\includegraphics[page=2,width=0.49\textwidth]{BDTResponse.pdf}
	\begin{overpic} [page=2,width=0.49\textwidth]{ROCCurves.pdf}
	\put(14,57.5){\rule{164pt}{0.5pt}}
	\end{overpic}
	\caption[Response and ROC curve of the second selection BDT.]{The response for the same sign BDT (left) is plotted with the corresponding ROC curves (right). The data used for training is superimposed with the data used for testing. Events to the left of the dashed vertical line are rejected and the solid horizontal line on the ROC curve indicates the signal efficiency.}
	\label{fig:FindVub_SSBDT}
\end{figure}

The response of both BDTs with the selection are plotted in Figures~\ref{fig:FindVub_ChargedBDT} and~\ref{fig:FindVub_SSBDT} with the corresponding Receiver operating characteristic (ROC)  curves plotting the signal efficiency against the background efficiency. The ROC curve plots the signal efficiency against background efficiency providing a visual method of quantifying the performance of a selection method. ROC curves with larger areas under the curve have improved background rejection, and the integral of the ROC curve is often used as a performance metric.
A selection of \texttt{BDT\_Charged > 0.10} is placed on the charged BDT and \texttt{BDT\_SS > 0.05} on the same sign BDT.

The BDTs are validated by comparing the BDT response in \sPlot unfolded data with the BDT response in Monte Carlo for ${\Bu\to\jpsi\Kp}$ decays using a fully reconstructed \Kp\mun\mup triad or the \Kp\mun pair. The validation using \Bu\to\jpsi\Km is plotted in Figure~\ref{fig:BDT_JPsiKValidation} and a slight discrepancy is seen in the BDT response between Monte Carlo simulation and data. A correction factor and systematic uncertainty are applied to the calculated BDT efficiency using the ${\Bu\to\jpsi\Kp}$ decay, the details of which are in Section~\ref{ssec:JPsiKCorr}.





\begin{figure}[htbp]
	\centering
	\includegraphics[width=0.49\textwidth, page=2]{JpsiK_Validation2_TriggerOnly.pdf}%{JpsiK_Validation_Tight_NoBDT.pdf}
	\includegraphics[width=0.49\textwidth, page=3]{JpsiK_Validation2_Tight_NoSS.pdf}%{JpsiK_Validation_Tight_NoSS.pdf}
	\caption[Calibration of the selection BDT response variables.]{The response of both selection BDTs is plotted for ${\Bu\to\jpsi\Kp}$ candidates reconstructed as ${\Bu\to\jpsi\Kp}$ (red) and \BsToKMuNu (blue) for Monte Carlo (line) and background subtracted data (points).}
	\label{fig:BDT_JPsiKValidation}
\end{figure}


